#!/bin/sh
#
# canna		Canna server
#
# Author:       Manabe Takashi <manabe@Roy.dsl.tutics.tut.ac.jp>
#

SERVER=/usr/sbin/cannaserver
KILLER='killall cannaserver'
LOCKD=/var/lock/subsys

[ -f $SERVER ] || exit 0

case "$1" in
  start)
	echo -n "Starting Canna server: "
	# rm -f /var/lock/canna/.CANNALOCK
	rm -f /tmp/.iroha_unix/IROHA

	$SERVER -inet
	echo
	if [ -d $LOCKD ]; then
	    touch $LOCKD/canna
	fi
	;;
  stop)
	echo -n "Shutting down Canna server: "
	# rm -f /var/lock/canna/.CANNALOCK
	$KILLER
	if [ -d $LOCKF ]; then
	    rm -f $LOCKD/canna
	fi
	echo
	;;
  install)
	echo canna network
	;;
  *)
	echo "Usage: canna {start|stop}"
	exit 1
esac

exit 0
